	/***********************************************************/
	/*                     bombzh编写Ajax类                    */
	/*    使用方法
	/*    var na = new Ajax("AjaxLogin.aspx","GET",true,false,"SHow('aaa',{$EnterString$})",null);
	/*    使用本地URL，提交方式，是否异步，返回的处理函数（{$EnterString$}为接收到的回传值），Post方式 所使用的参数
	/*    na.GetAjax();
	/*    responseXML                                          */
	/*                                                         */
	/***********************************************************/
	function Ajax(Url,Post,OpenFlag,IsXML,BackFunctionName,SendString)
	{
		this.Url = Url;
		this.Post = Post;
		this.OpenFlag = OpenFlag;
		this.SendString = (SendString == null || SendString == "")?"":SendString;

		BackFunction = BackFunctionName;
		ReQuestAjax = false;
		ResponseXML = IsXML?"responseXML":"responseText";

		this.GetAjax = function()
		{
			if (window.XMLHttpRequest)
			{
				ReQuestAjax = new XMLHttpRequest();
				this.SendString = (this.SendString == "")?null:SendString;
				this.OpenFlag = true;//使用同步，异步不能解决
			}
			else if (window.ActiveXObject)
			{
				ReQuestAjax = new ActiveXObject("Microsoft.XMLHTTP");
			}
			ReQuestAjax.onreadystatechange = function()
			{
				OutPutAjax(ReQuestAjax,BackFunction,ResponseXML);
			}
			ReQuestAjax.open(this.Post,this.Url,this.OpenFlag);
			if (this.SendString != null && this.SendString != "")
			{
				ReQuestAjax.setRequestHeader("Content-Length",this.SendString.length);  
				ReQuestAjax.setRequestHeader("CONTENT-TYPE","application/x-www-form-urlencoded");
			}
			ReQuestAjax.send(this.SendString);
		}
		
		OutPutAjax = function(ReQuestAjax,BackFunction,ResponseXML)
		{
			
			if (ReQuestAjax.readyState == 4)
			{
				if (ReQuestAjax.status == 200)
				{
					eval(BackFunction.replace("{$EnterString$}","ReQuestAjax." + ResponseXML));
				}
				else
				{
					alert("系统错误，发生 HTTP" + ReQuestAjax.status + " 的错误！");
				}
			}
		}
	}
	